Bug 1075232 - 0.9.0 Adds virtual interface, NetworkManager attempts to assign dhcp address to it [NEEDINFO]
Summary: 0.9.0 Adds virtual interface, NetworkManager attempts to assign dhcp address ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-11 19:43 UTC by Adam Miller
Modified: 2015-06-29 19:24 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 19:24:58 UTC
Type: Bug
dcbw: needinfo? (admiller)


Attachments (Terms of Use)
snippet from /var/log/messages for my laptop around the virtual interface events (56.55 KB, text/plain)
2014-03-11 19:43 UTC, Adam Miller
no flags Details

Description Adam Miller 2014-03-11 19:43:41 UTC
Created attachment 873221 [details]
snippet from /var/log/messages for my laptop around the virtual interface events

Description of problem:
When you install docker-io-0.9.0 on Fedora 20, it creates a new virtual interface

13: vethf3e3: <BROADCAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast master docker0 state UP group default qlen 1000
    link/ether 1a:9c:40:61:1e:8b brd ff:ff:ff:ff:ff:ff
    inet6 fe80::189c:40ff:fe61:1e8b/64 scope link 
       valid_lft forever preferred_lft forever


Something (I'm thinking dbus or udev) causes NetworkManager to launch dhclient for the new interface, and if you're running with a Desktop Environment this causes a visual change to the NM applet which can be confusing. It doesn't ever do anything, NM eventually times out and gives up and this doesn't appear to impact docker's functionality at all (or at least not yet in my tests have I found an issue, networking works fine).

Version-Release number of selected component (if applicable):
docker-io-0.9.0-2.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum install docker-io #on a machine with a GUI/DE up and running with NetworkManager


Actual results:
NetworkManager attempts to get a dhcp lease on the new virtual interface.


Expected results:
NetworkManager probably shouldn't attempt to get a dhcp lease on the new virtual interface, this seems odd.

Additional info:

Comment 1 Dan Williams 2014-05-20 17:16:58 UTC
There's an NM config option for this which you can add to /etc/NetworkManager/NetworkManager.conf:

[main]
no-auto-default=*

Or possibly better yet, 'yum install NetworkManager-config-server'.  Do either of those fix the problem?

Comment 2 Vaidas Jablonskis 2014-08-19 08:54:15 UTC
Neither of those help unfortunately.

Comment 3 Jirka Klimes 2014-08-28 11:50:22 UTC
The original logs show that the default connection is created:
Added default wired connection 'Wired connection 1' for /virtual/device/placeholder/3

That is controlled by the
[main]
no-auto-default=*

Would anyone seeing the problem, try with newest NM and grab relevant logs?
Also, 'nmcli con dev' output would be useful.

Comment 4 Jyri-Petteri Paloposki 2015-05-19 21:35:54 UTC
This is probably about this upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=731014  There seems to be a fix already, would it be possible to pull the fix to the Fedora package quickly? This is quite an annoying problem for VirtualBox / Docker / ... users.

I think that bug 1122525 is also about the same problem.

Comment 5 Fedora End Of Life 2015-05-29 11:13:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Jens Petersen 2015-06-22 09:48:31 UTC
I think this is also true for F21, no?

Comment 7 Vaidas Jablonskis 2015-06-22 09:52:02 UTC
(In reply to Jens Petersen from comment #6)
> I think this is also true for F21, no?

Correct.

Comment 8 Fedora End Of Life 2015-06-29 19:24:58 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.